summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUwe Stuehler <uwe@cvs.openbsd.org>2011-10-19 02:24:32 +0000
committerUwe Stuehler <uwe@cvs.openbsd.org>2011-10-19 02:24:32 +0000
commitfb60cf813a3aef45442cf7bc96ef4b29fa25cf49 (patch)
tree402d29fec6a0f0bb3033b34dc1e4dd895b8acb31
parent0db78b9cd30dc4a3230f60b67b300386be08bc64 (diff)
Add etc/etc.beagle (copied from armish); ok drahn@
-rw-r--r--etc/etc.beagle/MAKEDEV539
-rw-r--r--etc/etc.beagle/MAKEDEV.md123
-rw-r--r--etc/etc.beagle/Makefile5
-rw-r--r--etc/etc.beagle/Makefile.inc6
-rw-r--r--etc/etc.beagle/disktab26
-rw-r--r--etc/etc.beagle/fbtab1
-rw-r--r--etc/etc.beagle/ttys14
7 files changed, 714 insertions, 0 deletions
diff --git a/etc/etc.beagle/MAKEDEV b/etc/etc.beagle/MAKEDEV
new file mode 100644
index 00000000000..ddeb337f884
--- /dev/null
+++ b/etc/etc.beagle/MAKEDEV
@@ -0,0 +1,539 @@
+#!/bin/sh -
+#
+# THIS FILE AUTOMATICALLY GENERATED. DO NOT EDIT.
+# generated from:
+#
+# OpenBSD: etc.armish/MAKEDEV.md,v 1.22 2011/10/06 20:49:27 deraadt Exp
+# OpenBSD: MAKEDEV.common,v 1.57 2011/10/06 20:49:25 deraadt Exp
+# OpenBSD: MAKEDEV.mi,v 1.80 2011/04/18 16:52:10 thib Exp
+# OpenBSD: MAKEDEV.sub,v 1.14 2005/02/07 06:14:18 david Exp
+#
+#
+# Copyright (c) 2001-2004 Todd T. Fries <todd@OpenBSD.org>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+# Device "make" file. Valid arguments:
+# all makes all known devices, including local devices.
+# Tries to make the ``standard'' number of each type.
+# ramdisk Ramdisk kernel devices
+# std Standard devices
+# local Configuration specific devices
+# Disks:
+# cd* ATAPI and SCSI CD-ROM drives
+# ch* SCSI media changers
+# raid* RAIDframe disk devices
+# rd* "rd" pseudo-disks
+# sd* SCSI disks, including flopticals
+# vnd* "file" pseudo-disk devices
+# wd* "winchester" disk drives (ST506, IDE, ESDI, RLL, ...)
+# Tapes:
+# st* SCSI tape drives
+# Terminal ports:
+# tty[0-7][0-9a-f] NS16x50 serial ports
+# Pseudo terminals:
+# ptm pty master device
+# pty* Set of 62 master pseudo terminals
+# tty* Set of 62 slave pseudo terminals
+# Console ports:
+# ttyC-J* wscons display devices
+# wscons Minimal wscons devices
+# wskbd* wscons keyboards
+# wsmouse* wscons mice
+# wsmux wscons keyboard/mouse mux devices
+# USB devices:
+# ttyU* USB serial ports
+# uall All USB devices
+# ugen* Generic USB devices
+# uhid* Generic HID devices
+# ulpt* Printer devices
+# urio* Diamond Multimedia Rio 500
+# usb* Bus control devices used by usbd for attach/detach
+# uscanner* Scanners
+# Special purpose devices:
+# apm Power management device
+# audio* Audio devices
+# bio ioctl tunnel pseudo-device
+# bktr* Video frame grabbers
+# bpf* Berkeley Packet Filter
+# bthub* Bluetooth Hubs
+# crypto Hardware crypto access driver
+# diskmap Disk mapper
+# fd fd/* nodes
+# hotplug devices hot plugging
+# iop* I2O controller devices
+# lkm Loadable kernel modules interface
+# music* MIDI sequencer
+# nnpfs* NNPFS filesystem node
+# pci* PCI bus devices
+# pf* Packet Filter
+# pppx* PPP Multiplexer
+# radio* FM tuner devices
+# *random In-kernel random data source
+# rmidi* Raw MIDI devices
+# tun* Network tunnel driver
+# uk* Unknown SCSI devices
+# systrace* System call tracing device
+# tuner* Tuner devices
+# video* Video V4L2 devices
+# vscsi* Virtual SCSI controller
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+T=$0
+
+# set this to echo for Echo-Only debugging
+[ "$eo" ] || eo=
+
+hex()
+{
+ case $1 in
+ [0-9]) echo -n $1;;
+ 10) echo -n a;;
+ 11) echo -n b;;
+ 12) echo -n c;;
+ 13) echo -n d;;
+ 14) echo -n e;;
+ 15) echo -n f;;
+ esac
+}
+
+alph2d()
+{
+ local t="$1"
+ local p="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
+ local sub=${p%${t}*}
+ echo ${#sub}
+}
+
+h2d()
+{
+ local s="$1"
+ local f=${s%*[0-9a-f]} n=${s#[0-9a-f]*}
+
+ echo $(($(_h2d $f)*16+ $(_h2d $n) ))
+}
+
+_h2d()
+{
+ case $1 in
+ [0-9]) echo -n $1;;
+ a) echo -n 10;;
+ b) echo -n 11;;
+ c) echo -n 12;;
+ d) echo -n 13;;
+ e) echo -n 14;;
+ f) echo -n 15;;
+ esac
+}
+
+unt()
+{
+ # XXX pdksh can't seem to deal with locally scoped variables
+ # in ${foo#$bar} expansions
+ arg="$1"
+ tmp="${arg#[a-zA-Z]*}"
+ tmp="${tmp%*[a-zA-Z]}"
+ while [ "$tmp" != "$arg" ]
+ do
+ arg=$tmp
+ tmp="${arg#[a-zA-Z]*}"
+ tmp="${tmp%*[a-zA-Z]}"
+ done
+ echo $arg
+}
+
+dodisk()
+{
+ [ "$DEBUG" ] && set -x
+ n=$(($((${5}*${7:-16}))+${6})) count=0
+ [ 0$7 -ne 8 ] && l="i j k l m n o p"
+ for d in a b c d e f g h $l
+ do
+ M $1$2$d b $3 $(($n+$count)) 640 operator
+ M r$1$2$d c $4 $(($n+$count)) 640 operator
+ let count=count+1
+ done
+}
+
+dodisk2()
+{
+ n=$(($(($5*${7:-16}))+$6))
+ M $1$2a b $3 $n 640 operator
+ M r$1$2a c $4 $n 640 operator
+ n=$(($n+2))
+ M $1$2c b $3 $n 640 operator
+ M r$1$2c c $4 $n 640 operator
+}
+
+# M name b/c major minor [mode] [group]
+RMlist[0]="rm -f"
+
+mkl() {
+ mklist[${#mklist[*]}]=";mknod -m $1 $2 $3 $4 $5"
+}
+
+M() {
+ RMlist[${#RMlist[*]}]=$1
+ mkl ${5-666} $1 $2 $3 $4
+ G=${6:-wheel}
+ [ "$7" ] && {
+ MKlist[${#MKlist[*]}]=";chown $7:$G $1"
+ } || {
+ case $G in
+ wheel)
+ [ ${#whlist[*]} = 0 ] && whlist[0]=";chgrp wheel"
+ whlist[${#whlist[*]}]="$1"
+ ;;
+ operator)
+ [ ${#oplist[*]} = 0 ] && oplist[0]=";chgrp operator"
+ oplist[${#oplist[*]}]="$1"
+ ;;
+ *)
+ MKlist[${#MKlist[*]}]=";chgrp $G $1";
+ esac
+ }
+ return 0
+}
+
+R() {
+[ "$DEBUG" ] && set -x
+for i in "$@"
+do
+U=`unt $i`
+[ "$U" ] || U=0
+
+case $i in
+ramdisk)
+ R std bpf0 wd0 wd1 sd0 tty00 rd0 wsmouse
+ R st0 ttyC0 wskbd0 apm bio diskmap
+ ;;
+
+std)
+ M console c 0 0 600
+ M tty c 1 0
+ M mem c 2 0 640 kmem
+ M kmem c 2 1 640 kmem
+ M null c 2 2
+ M zero c 2 12
+ M stdin c 7 0
+ M stdout c 7 1
+ M stderr c 7 2
+ M ksyms c 8 0 640 kmem
+ M klog c 6 0 600
+ ;;
+
+vscsi*)
+ M vscsi$U c 100 $U 600
+ ;;
+
+video*)
+ M video$U c 38 $U
+ MKlist[${#MKlist[*]}]=";[ -e video ] || ln -s video$U video"
+ ;;
+
+tuner*)
+ M tuner$U c 75 $(($(($U*2))+16)) 644
+ ;;
+
+systrace)
+ M systrace c 50 0 644
+ ;;
+
+uk*)
+ M uk$U c 28 $U 640 operator
+ ;;
+
+tun*)
+ M tun$U c 33 $U 600
+ ;;
+
+rmidi*)
+ M rmidi$U c 57 $U 666
+ ;;
+
+*random)
+ n=0
+ for pre in " " s u a
+ do
+ M ${pre}random c 40 $n 644
+ n=$(($n+1))
+ done
+ ;;
+
+radio*)
+ M radio$U c 97 $U
+ MKlist[${#MKlist[*]}]=";[ -e radio ] || ln -s radio$U radio"
+ ;;
+
+pppx*)
+ M pppx$U c 103 $U 600
+ ;;
+
+pf*)
+ M pf c 46 0 600
+ ;;
+
+pci*)
+ M pci$U c 88 $U 600
+ MKlist[${#MKlist[*]}]=";[ -h pci ] || ln -sf pci0 pci"
+ ;;
+
+nnpfs*)
+ M nnpfs$U c 51 $U 600
+ ;;
+
+music*)
+ M music$U c 58 $U
+ M sequencer$U c 58 $(($U+128))
+ MKlist[${#MKlist[*]}]=";[ -e music ] || ln -s music$U music"
+ MKlist[${#MKlist[*]}]=";[ -e sequencer ] || ln -s sequencer$U sequencer"
+ ;;
+
+lkm)
+ M lkm c 35 0 640 _lkm
+ ;;
+
+iop*)
+ M iop$U c 73 $U 660
+ ;;
+
+hotplug)
+ M hotplug c 37 $U 400
+ ;;
+
+fd)
+ RMlist[${#RMlist[*]}]=";mkdir -p fd;rm -f" n=0
+ while [ $n -lt 64 ];do M fd/$n c 7 $n;n=$(($n+1));done
+ MKlist[${#MKlist[*]}]=";chmod 555 fd"
+ ;;
+
+diskmap)
+ M diskmap c 102 0 640 operator
+ ;;
+
+crypto)
+ M crypto c 47 0
+ ;;
+
+bthub*)
+ M bthub$U c 101 $U
+ ;;
+
+bpf*)
+ M bpf$U c 22 $U 600
+ ;;
+
+bktr*)
+ M bktr$U c 75 $U 644
+ ;;
+
+bio)
+ M bio c 52 0 600
+ ;;
+
+audio*)
+ M sound$U c 36 $U
+ M mixer$U c 36 $(($U+16))
+ M audio$U c 36 $(($U+128))
+ M audioctl$U c 36 $(($U+192))
+ MKlist[${#MKlist[*]}]=";[ -e audio ] || ln -s audio$U audio"
+ MKlist[${#MKlist[*]}]=";[ -e mixer ] || ln -s mixer$U mixer"
+ MKlist[${#MKlist[*]}]=";[ -e sound ] || ln -s sound$U sound"
+ MKlist[${#MKlist[*]}]=";[ -e audioctl ] || ln -s audioctl$U audioctl"
+ ;;
+
+apm*)
+ M apm c 34 0 644
+ M apmctl c 34 8 644
+ ;;
+
+uscanner*)
+ M uscanner$U c 69 $U 660
+ ;;
+
+usb*)
+ [ "$i" = "usb" ] && u= || u=$U
+ M usb$u c 64 $U 660
+ ;;
+
+urio*)
+ M urio$U c 67 $U 660
+ ;;
+
+ulpt*)
+ M ulpt$U c 66 $U 660
+ ;;
+
+uhid*)
+ M uhid$U c 65 $U 660
+ ;;
+
+ugen*)
+ n=$(($U*16))
+ for j in 0{0,1,2,3,4,5,6,7,8,9} 1{0,1,2,3,4,5}
+ do
+ M ugen$U.$j c 70 $(($n+10#$j)) 660
+ done
+ ;;
+
+uall)
+ R ttyU0 ttyU1 ttyU2 ttyU3 ugen0 ugen1 ulpt0 ulpt1 uhid0 uhid1
+ R uhid2 uhid3 uscanner0 urio0 usb0 usb1 usb2 usb3 usb4 usb5
+ R usb6 usb7
+ ;;
+
+ttyU[0-9a-zA-Z])
+ U=${i#ttyU*}
+ o=$(alph2d $U)
+ M ttyU$U c 68 $o 660 dialer uucp
+ M cuaU$U c 68 $(($o+128)) 660 dialer uucp
+ ;;
+
+wsmux|wsmouse|wskbd)
+ M wsmouse c 63 0 600
+ M wskbd c 63 1 600
+ ;;
+
+wsmouse[0-9]*)
+ M wsmouse$U c 62 $U 600
+ ;;
+
+wskbd[0-9]*)
+ M wskbd$U c 61 $U 600
+ ;;
+
+wscons)
+ R wsmouse0 wsmouse1 wsmouse2 wsmouse3 wskbd0 wskbd1 wskbd2
+ R wskbd3 wsmux ttyCcfg ttyC0 ttyC1 ttyC2 ttyC3 ttyC4 ttyC5
+ R ttyC6 ttyC7 ttyC8 ttyC9 ttyCa ttyCb
+ ;;
+
+tty[C-J]*)
+ U=${i##tty[C-J]}
+ case $i in
+ ttyC*) n=C m=0;;
+ ttyD*) n=D m=256;;
+ ttyE*) n=E m=512;;
+ ttyF*) n=F m=768;;
+ ttyG*) n=G m=1024;;
+ ttyH*) n=H m=1280;;
+ ttyI*) n=I m=1536;;
+ ttyJ*) n=J m=1792;;
+ esac
+ case $U in
+ [0-9a-f]) M tty$n$U c 60 $((16#$U+$m)) 600;;
+ cfg) M tty${n}cfg c 60 $((255+$m)) 600;;
+ *) echo bad unit $U for $i; exit 1;;
+ esac
+ ;;
+
+pty*)
+ if [ $U -gt 15 ]; then
+ echo bad unit for pty in: $i
+ continue
+ fi
+ set -A letters p q r s t u v w x y z P Q R S T
+ set -A suffixes 0 1 2 3 4 5 6 7 8 9 a b c d e f g h i j k l m n o p q \
+ r s t u v w x y z A B C D E F G H I J K L M N O P Q R S T U V W X \
+ Y Z
+
+ name=${letters[$U]}
+ n=0
+ while [ $n -lt 62 ]
+ do
+ nam=$name${suffixes[$n]}
+ off=$(($U*62))
+ M tty$nam c 4 $(($off+$n))
+ M pty$nam c 5 $(($off+$n))
+ n=$(($n+1))
+ done
+ ;;
+
+ptm)
+ M ptm c 98 0 666
+ ;;
+
+tty[0-7][0-9a-f])
+ U=${i#tty*}
+ o=$(h2d $U)
+ M tty$U c 12 $o 660 dialer uucp
+ M cua$U c 12 $(($o+128)) 660 dialer uucp
+ ;;
+
+st*)
+ n=$(($U*16))
+ for pre in " " n e en
+ do
+ M ${pre}st$U b 25 $n 660 operator
+ M ${pre}rst$U c 25 $n 660 operator
+ n=$(($n+1))
+ done
+ ;;
+
+vnd*)
+ dodisk vnd $U 19 19 $U 0
+ ;;
+
+rd*)
+ dodisk2 rd $U 18 18 $U 0
+ ;;
+
+ch*)
+ M ch$U c 27 $U 660 operator
+ ;;
+
+cd*)
+ dodisk2 cd $U 26 26 $U 0
+ ;;
+
+local)
+ test -s $T.local && sh $T.local
+ ;;
+
+all)
+ R bthub0 bthub1 bthub2 vnd0 vnd1 vnd2 vnd3 sd0 sd1 sd2 sd3
+ R sd4 sd5 sd6 sd7 sd8 sd9 cd0 cd1 rd0 tun0 tun1 tun2 tun3 bio
+ R bpf0 bpf1 bpf2 bpf3 bpf4 bpf5 bpf6 bpf7 bpf8 bpf9 pty0
+ R diskmap vscsi0 nnpfs0 ch0 hotplug ptm local wscons pci0 pci1
+ R pci2 pci3 iop0 iop1 uall rmidi0 rmidi1 rmidi2 rmidi3 rmidi4
+ R rmidi5 rmidi6 rmidi7 tuner0 radio0 music0 video0 video1
+ R audio0 audio1 audio2 uk0 random lkm tty00 tty01 tty02 tty03
+ R apm crypto pf systrace wd0 wd1 wd2 wd3 raid0 raid1 raid2
+ R raid3 std st0 st1 fd
+ ;;
+
+wd*|sd*|raid*)
+ case $i in
+ wd*) dodisk wd $U 16 16 $U 0;;
+ sd*) dodisk sd $U 24 24 $U 0;;
+ raid*) dodisk raid $U 71 71 $U 0;;
+ esac
+ ;;
+
+*)
+ echo $i: unknown device
+ ;;
+esac
+done
+}
+R "$@"
+{
+echo -n ${RMlist[*]}
+echo -n ${mklist[*]}
+echo -n ${MKlist[*]}
+echo -n ${whlist[*]}
+echo ${oplist[*]}
+} | if [ "$eo" = "echo" ]; then
+ cat
+else
+ sh
+fi
diff --git a/etc/etc.beagle/MAKEDEV.md b/etc/etc.beagle/MAKEDEV.md
new file mode 100644
index 00000000000..6a930b88a41
--- /dev/null
+++ b/etc/etc.beagle/MAKEDEV.md
@@ -0,0 +1,123 @@
+define(MACHINE,beagle)dnl
+vers(__file__,
+ {-$OpenBSD: MAKEDEV.md,v 1.1 2011/10/19 02:24:31 uwe Exp $-},
+etc.MACHINE)dnl
+dnl
+dnl Copyright (c) 2001-2004 Todd T. Fries <todd@OpenBSD.org>
+dnl All rights reserved.
+dnl
+dnl Redistribution and use in source and binary forms, with or without
+dnl modification, are permitted provided that the following conditions
+dnl are met:
+dnl 1. Redistributions of source code must retain the above copyright
+dnl notice, this list of conditions and the following disclaimer.
+dnl 2. The name of the author may not be used to endorse or promote products
+dnl derived from this software without specific prior written permission.
+dnl
+dnl THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
+dnl INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+dnl AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
+dnl THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+dnl EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+dnl PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+dnl OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+dnl WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+dnl OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+dnl ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+dnl
+dnl
+__devitem(apm, apm, Power management device)dnl
+_TITLE(make)
+_DEV(all)
+_DEV(ramdisk)
+_DEV(std)
+_DEV(local)
+_TITLE(dis)
+_DEV(cd, 26, 26)
+_DEV(ch, 27)
+_DEV(raid, 71, 71)
+_DEV(rd, 18, 18)
+_DEV(sd, 24, 24)
+_DEV(vnd, 19, 19)
+_DEV(wd, 16, 16)
+_TITLE(tap)
+_DEV(st, 25, 25)
+_TITLE(term)
+dnl _DEV(com, 12)
+dnl _DEV(fcom, 54)
+_DEV(com, 12)
+_TITLE(pty)
+_DEV(ptm, 98)
+_DEV(pty, 5)
+_DEV(tty, 4)
+_TITLE(cons)
+_DEV(wsdisp, 60)
+_DEV(wscons)
+_DEV(wskbd, 61)
+_DEV(wsmouse, 62)
+_DEV(wsmux, 63)
+_TITLE(usb)
+_DEV(ttyU, 68)
+_DEV(uall)
+_DEV(ugen, 70)
+_DEV(uhid, 65)
+_DEV(ulpt, 66)
+_DEV(urio, 67)
+_DEV(usb, 64)
+_DEV(uscan, 69)
+_TITLE(spec)
+_DEV(apm, 34)
+_DEV(au, 36)
+_DEV(bio, 52)
+_DEV(bktr, 75)
+_DEV(bpf, 22)
+_DEV(bthub, 101)
+_DEV(cry, 47)
+_DEV(diskmap, 102)
+_DEV(fdesc, 7)
+_DEV(hotplug, 37)
+_DEV(iop, 73)
+_DEV(lkm, 35)
+_DEV(music, 58)
+_DEV(nnpfs, 51)
+_DEV(pci, 88)
+_DEV(pf, 46)
+_DEV(pppx, 103)
+_DEV(radio, 97)
+_DEV(rnd, 40)
+_DEV(rmidi, 57)
+_DEV(tun, 33)
+_DEV(uk, 28)
+_DEV(systrace, 50)
+_DEV(tuner, 75)
+_DEV(vi, 38)
+_DEV(vscsi, 100)
+dnl
+divert(__mddivert)dnl
+dnl
+ramdisk)
+ _recurse std bpf0 wd0 wd1 sd0 tty00 rd0 wsmouse
+ _recurse st0 ttyC0 wskbd0 apm bio diskmap
+ ;;
+
+_std(1, 2, 8, 6)
+ ;;
+dnl
+dnl *** beagle specific targets
+dnl
+target(all, ch, 0)dnl
+target(all, nnpfs, 0)dnl
+target(all, vscsi, 0)dnl
+target(all, diskmap)dnl
+twrget(all, flo, fd, 0, 0B, 0C, 0D, 0E, 0F, 0G, 0H)dnl
+twrget(all, flo, fd, 1, 1B, 1C, 1D, 1E, 1F, 1G, 1H)dnl
+target(all, pty, 0)dnl
+target(all, bpf, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9)dnl
+target(all, bio)dnl
+target(all, tun, 0, 1, 2, 3)dnl
+target(all, xy, 0, 1, 2, 3)dnl
+target(all, rd, 0)dnl
+target(all, cd, 0, 1)dnl
+target(all, sd, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9)dnl
+target(all, vnd, 0, 1, 2, 3)dnl
+target(all, bthub, 0, 1, 2)dnl
diff --git a/etc/etc.beagle/Makefile b/etc/etc.beagle/Makefile
new file mode 100644
index 00000000000..6ae52e77807
--- /dev/null
+++ b/etc/etc.beagle/Makefile
@@ -0,0 +1,5 @@
+# $OpenBSD: Makefile,v 1.1 2011/10/19 02:24:31 uwe Exp $
+
+all: MAKEDEV
+
+.include <bsd.prog.mk>
diff --git a/etc/etc.beagle/Makefile.inc b/etc/etc.beagle/Makefile.inc
new file mode 100644
index 00000000000..2d430280215
--- /dev/null
+++ b/etc/etc.beagle/Makefile.inc
@@ -0,0 +1,6 @@
+# $OpenBSD: Makefile.inc,v 1.1 2011/10/19 02:24:31 uwe Exp $
+
+bootblocks:
+ cp ${DESTDIR}/usr/mdec/boot ${RELEASEDIR}
+
+MDEXT= bsd.rd boot
diff --git a/etc/etc.beagle/disktab b/etc/etc.beagle/disktab
new file mode 100644
index 00000000000..030d081a06e
--- /dev/null
+++ b/etc/etc.beagle/disktab
@@ -0,0 +1,26 @@
+# $OpenBSD: disktab,v 1.1 2011/10/19 02:24:31 uwe Exp $
+
+# Leave nc=16; adjust size using: ns
+rdroot|ramdiskroot|RAM-disk root FS image:\
+ :ty=simulated:se#512:nc#16:nt#2:ns#256:\
+ :ta=4.2BSD:oa#0:pa#8192:fa#512:ba#4096:\
+ :ob#0:pb#0:oc#0:pc#8192:
+
+
+rdroot2.5M|ramdiskroot2.5M|RAM-disk root FS image:\
+ :ty=simulated:se#512:nc#16:nt#2:ns#160:\
+ :oa#0:pa#5120:ta=4.2BSD:fa#512:ba#4096:\
+ :ob#0:pb#0:tb=swap:\
+ :oc#0:pc#5120:
+
+# pseudo-geometry taken from rd794
+miniroot:\
+ :ty=winchester:ns#16:nt#7:nc#968:\
+ :pa#10240:ba#8192:fa#1024:
+
+floppy|floppy3|3in|3.5in High Density Floppy:\
+ :ty=floppy:se#512:nt#2:rm#300:ns#18:nc#80:\
+ :pa#2880:oa#0:ba#4096:fa#512:\
+ :pb#2880:ob#0:\
+ :pc#2880:oc#0:
+
diff --git a/etc/etc.beagle/fbtab b/etc/etc.beagle/fbtab
new file mode 100644
index 00000000000..9216d258e64
--- /dev/null
+++ b/etc/etc.beagle/fbtab
@@ -0,0 +1 @@
+/dev/tty00 0600 /dev/console
diff --git a/etc/etc.beagle/ttys b/etc/etc.beagle/ttys
new file mode 100644
index 00000000000..5ba63324654
--- /dev/null
+++ b/etc/etc.beagle/ttys
@@ -0,0 +1,14 @@
+#
+# $OpenBSD: ttys,v 1.1 2011/10/19 02:24:31 uwe Exp $
+#
+# name getty type status comments
+#
+console "/usr/libexec/getty std.115200" vt220 on secure
+tty00 "/usr/libexec/getty std.115200" unknown off secure
+tty01 "/usr/libexec/getty std.9600" unknown off secure
+tty02 "/usr/libexec/getty std.9600" unknown off
+tty03 "/usr/libexec/getty std.9600" unknown off
+tty04 "/usr/libexec/getty std.9600" unknown off
+tty05 "/usr/libexec/getty std.9600" unknown off
+tty06 "/usr/libexec/getty std.9600" unknown off
+tty07 "/usr/libexec/getty std.9600" unknown off